function synthchallenge(name,instrument_number,channel,note)
midi = readmidi(['./midi/' name]);
if midi.format~=0
    error(['Vas soubor je midi typ ' num2str(midi.format) '. Zkonvertujte jej prosim na typ 0 nebo nebudu spolupracovat :-(']);
end
switch nargin
    case 1
        [y,Fs] = midi2synth(midi,48e3);
    case 2
        [y,Fs] = midi2synth(midi,48e3,instrument_number);
    case 3
        [y,Fs] = midi2synth(midi,48e3,instrument_number,channel);
    case 4
        [y,Fs] = midi2synth(midi,48e3,instrument_number,channel,note);
    otherwise
        error('Wrong number of input arguments!')
end
y=y-mean(y); y=y./max(abs(y)); % normalizace (prevence prebuzeni signalu)
if exist('result','dir')~=7
    mkdir result
end
cd result
audiowrite([name(1:end-3) 'm4a'],y,Fs);
cd ..